/*
 * xmapwspr.h   define exported routines from xmapwspr.c
 */

#ifndef BULL_XMAPWSPR_H
#define BULL_XMAPWSPR_H

// Routines

void draw_tiled_map_on_buffer_idx(unsigned char *buffer,MAPDATA *map,MAPTILELIST *tilelist,int width,int height,int wpos,int hpos);
int draw_tile_on_buffer_idx(unsigned char *buffer,MAPTILELIST *tilelist,int width,int height,int wpos,int hpos,int tile_idx);

void draw_tiled_map_on_buffer_rgb(unsigned char *buffer,MAPDATA *map,MAPTILELIST *tilelist,int width,int height,int wpos,int hpos,int scale);
int draw_tile_on_buffer_rgb(unsigned char *buffer,MAPTILELIST *tilelist,int width,int height,int wpos,int hpos,int tile_idx,int scale);

long get_tiled_map_full_dimension_w(MAPDATA *map,MAPTILELIST *tilelist);
long get_tiled_map_full_dimension_h(MAPDATA *map,MAPTILELIST *tilelist);

// Error returns



#endif
